## EntangleControlRange

EntangleControlRange — a device control that exposes a range of values

## Functions

EntangleControlRange * | entangle_control_range_new ()
float | entangle_control_range_get_min ()
float | entangle_control_range_get_max ()
float | entangle_control_range_get_step ()

## Properties

float | range-max | Read / Write / Construct Only
float | range-min | Read / Write / Construct Only
float | range-step | Read / Write / Construct Only
float | value | Read / Write

## Types and Values

#define | ENTANGLE_TYPE_CONTROL_RANGE
| EntangleControlRange

## Object Hierarchy

        GObject
        ╰── EntangleControl
            ╰── EntangleControlRange

## Description

The EntangleControlRange object provides a device control that allows adjustment of a setting through a range of values.

## Functions

### entangle_control_range_new ()

    EntangleControlRange *
    entangle_control_range_new (const char *path,
                                int id,
                                const char *label,
                                const char *info,
                                gboolean readonly,
                                float min,
                                float max,
                                float step);

### entangle_control_range_get_min ()

    float
    entangle_control_range_get_min (EntangleControlRange *range);

### entangle_control_range_get_max ()

    float
    entangle_control_range_get_max (EntangleControlRange *range);

### entangle_control_range_get_step ()

    float
    entangle_control_range_get_step (EntangleControlRange *range);

## Types and Values

### ENTANGLE_TYPE_CONTROL_RANGE

    #define ENTANGLE_TYPE_CONTROL_RANGE (entangle_control_range_get_type())

### EntangleControlRange

    typedef struct _EntangleControlRange EntangleControlRange;

## Property Details

### The `“range-max”` property

      “range-max”                float

Maximum range value.

Owner: EntangleControlRange

Flags: Read / Write / Construct Only

Allowed values: [-1e+07,1e+07]

Default value: 0

### The `“range-min”` property

      “range-min”                float

Minimum range value.

Owner: EntangleControlRange

Flags: Read / Write / Construct Only

Allowed values: [-1e+07,1e+07]

Default value: 0

### The `“range-step”` property

      “range-step”               float

Increment for range steps.

Owner: EntangleControlRange

Flags: Read / Write / Construct Only

Allowed values: [-1e+07,1e+07]

Default value: 0

### The `“value”` property

      “value”                    float

Current control value.

Owner: EntangleControlRange

Flags: Read / Write

Allowed values: [-1e+07,1e+07]

Default value: 0